---
bpf:
  hostLegacyRouting: true  # migration, for connectivity between calico and cilium

cluster:
  id: {{ k8s_cilium_cluster_id }}
  name: {{ k8s_cilium_cluster_name }}

cni:
  customConf: true  # migration, disable CNI changes
  uninstall: false  # false so it doesn't remove cilium

ipam:
  mode: cluster-pool
  operator:
    clusterPoolIPv4PodCIDRList:
{% for cidr in k8s_cilium_pod_cidr_list %}
      - {{ cidr }}
{% endfor %}

operator:
  replicas: {{ k8s_cilium_operator_replicas }}
  unmanagedPodWatcher:
    restart: false  # migration, otherwise all calico pods are restarted and we get downtime

policyEnforcementMode: never
routingMode: tunnel  # default
tunnelPort: 8473
tunnelProtocol: vxlan  # default
rollOutCiliumPods: true